Package org.opensaml.security.x509.tls.impl

# Class ThreadLocalX509CredentialContext

java.lang.Object
org.opensaml.security.x509.tls.impl.ThreadLocalX509CredentialContext

public final class ThreadLocalX509CredentialContext extends Object
Class which holds and makes available an instance of `X509Credential` via ThreadLocal storage, typically used for client TLS authentication via `ThreadLocalX509CredentialKeyManager`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static ThreadLocal<X509Credential>`
`currentCredential`
ThreadLocal storage for credential.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ThreadLocalX509CredentialContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearCurrent()`
Clear the current thread-local credential.
`static X509Credential`
`getCredential()`
Return the current thread-local `X509Credential`.
`static boolean`
`haveCurrent()`
Get whether the current thread-local is populated with a non-null value.
`static void`
`loadCurrent(X509Credential credential)`
Load the thread-local storage with the current credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### currentCredential

@Nonnull private static ThreadLocal<X509Credential> currentCredential
ThreadLocal storage for credential.

## Constructor Details

### ThreadLocalX509CredentialContext

private ThreadLocalX509CredentialContext()
Constructor.

## Method Details

### loadCurrent

public static void loadCurrent(@Nonnull X509Credential credential)
Load the thread-local storage with the current credential.

Parameters:
  `credential` - the current `X509Credential`

### clearCurrent

public static void clearCurrent()
Clear the current thread-local credential.

### haveCurrent

public static boolean haveCurrent()
Get whether the current thread-local is populated with a non-null value.

Returns:
  true if thread-local has a value, false otherwise

### getCredential

@Nullable public static X509Credential getCredential()
Return the current thread-local `X509Credential`.

Returns:
  the current response